export const seperator = "<hr/>"
export const site_name = "Deadvey's Blog"
export const site_url = "https://deadvey.com"
export const site_description = "Films, tech, random shit"
export const timeline_length = 20
// Anything in this directory will be in the webroot, so put favicon.ico and anything else here.
export const root_path = "/var/www/deadvey.com/blog"

//export const federation = true
//export const fediverse_url = "deadvey.com"
export const rss = true
export const rss_path = "/rss"

// https://date-fns.org/v4.1.0/docs/format
export const date_format = "yyyy-MM-dd"
export const time_zone = "+0000"

//// Format  /////
// The syntax for this is pretty simple
// %A - List of tags
// %B - List of tags, each one with a hyperlink to that tag page
// %C - Post content
// %D - Published date in the format specified by date_format
// %E - Edited date in the format specified by date_format
// %F - Pretty name
// %G - Tag name (used for the tag page only)
// %I - User description
// %L - URL Permanent link to the post
// %N - the username of the user (poster)
// %P - URL to create a new post
// %O - URL to edit a post
// %R - Site wide RSS feed
// %S - post seperator as defined by post_seperator
// %T - Title
// %U - URL the the user (poster)
// %Y - Site Name as defined by site_name
// %W - Site Description as defined by site_description

export const timeline_header = `<h1>%Y</h1>
<h2>%W</h2>
<a href="%P">Create Post</a><br/>
<a href="%O">Edit Post</a><br/>
<a href="%R">RSS Feed</a><br/>
%S`
export const user_page_header = `<h1>%F's posts:</h1>
%I
%S`
export const tag_page_header = `<h1>Posts tagged: %G</h1>%S`
// ---------------------------------------------
export const user_post_format = `<h2>%T</h2>
<p>%C</p>
<i>%B</i><br/>
<a href="%L">Permalink</a><br/>
%S`
export const post_page_format = `<h1>%T</h1>
<p>%C</p>
<i>%B</i><br/>
<i>By <a href="%U">%N</a></i><br/<
<i>Posted: %D</i><br/>
<i>Edited: %E</i>`
export const timeline_post_format = `<h3>%T</h3>
<p>%C</p>
<a href="%L">Permalink</a><br/>
<i>By <a href="%U">%N</a></i>
%S`
export const tag_post_format = `<h3>%T</h3>
<p>%C</p>
<i>%B</i><br/>
<a href="%L">Permalink</a><br/>
<i>By <a href="%U">%N</a></i>
%S`


/// Custom CSS to be applied to every page
export const css = `
@media (prefers-color-scheme: light) {
	body {
		background: #ebdbb2;
		color: #282828;
	}
	code {
		background: #bdae93;
	}
	a {
                color: #076678;
		text-decoration: none;
        }
	a:visited {
                color: #8f3f71;
        }
	input,textarea,button {
		background: #ebdbb2;
		color: #282828;
		border: 1px solid #282828;
	}
}
@media (prefers-color-scheme: dark) {
	body {
		background: #282828;
		color: #ebdbb2;
	}
	code {
		background: #665c54;
		box-decoration-break: clone;
		display: block;
		white-space: pre;
		max-width: 50%;
  		min-width: 100px;
	}
	a {
                color: #83a598;
		text-decoration: none;
        }
	a:visited {
                color: #d3869b;
        }
	input,textarea,button {
		background: #282828;
		color: #ebdbb2;
		border: 1px solid #ebdbb2;
	}
}
`
